Page MenuHomePhabricator

Pywikibot Wikimedia hackathon 2015 documentation sprint
Closed, ResolvedPublic

Description

We're going to do a documentation sprint. We discussed this in https://phabricator.wikimedia.org/T97950

  • API Auto Documentation for the low layers of pywikibot
    • Jay, Maarten, Antoine, Amir, legoktm
    • AGREED to use Sphinx and .rst
    • AGREED Publish it do doc.wikimedia.org
      • English up to date docs first, then look into how to maybe (??) localize them
  • Second documentation work is to write specs/RFC/architecture/design documentation
  • AGREED For now we agree that we won't do i18n on generated documentation which is geared toward devs
  • AGREEDScripts we keep the (i18ned) documentation on MediaWiki.org
  • ACTION: define user groups and their doc requirements

current sphinx-based docs: https://pywikibot.readthedocs.org

existing patches:

http://etherpad.wikimedia.org/p/Pywikibot_doc_sprint

Event Timeline

Multichill raised the priority of this task from to Normal.
Multichill updated the task description. (Show Details)
Restricted Application added a project: Documentation. · View Herald TranscriptMay 23 2015, 8:51 PM
Restricted Application added subscribers: Aklapper, Unknown Object (MLST). · View Herald Transcript
valhallasw updated the task description. (Show Details)May 23 2015, 9:37 PM
valhallasw set Security to None.
Multichill updated the task description. (Show Details)May 24 2015, 9:10 AM

Change 213218 had a related patch set uploaded (by Legoktm):
Publish pywikibot documentation to doc.wikimedia.org

https://gerrit.wikimedia.org/r/213218

Change 213218 merged by jenkins-bot:
Publish pywikibot documentation to doc.wikimedia.org

https://gerrit.wikimedia.org/r/213218

Qgil closed this task as Resolved.Jun 1 2015, 5:46 AM
Qgil claimed this task.